/*
 * ModalPanelTestBean.java		Date created: 30.07.2008
 * Last modified by: $Author: alevkovsky $
 * $Revision: 9861 $	$Date: 2008-08-01 16:28:16 +0300 $
 */

package org.ajax4jsf.bean;

/**
 * rich:modalPannel component test bean
 * @author Alexandr Levkovsky
 *
 */
public class ModalPanelTestBean {

    private Boolean rendered = true;
    private Boolean showWhenRendered = false;
    private Boolean moveable = true;
    private Boolean resizeable = true;
    /**
     * @return the rendered
     */
    public Boolean getRendered() {
        return rendered;
    }
    /**
     * @param rendered the rendered to set
     */
    public void setRendered(Boolean rendered) {
        this.rendered = rendered;
    }
    /**
     * @return the showWhenRendered
     */
    public Boolean getShowWhenRendered() {
        return showWhenRendered;
    }
    /**
     * @param showWhenRendered the showWhenRendered to set
     */
    public void setShowWhenRendered(Boolean showWhenRendered) {
        this.showWhenRendered = showWhenRendered;
    }
    /**
     * @return the moveable
     */
    public Boolean getMoveable() {
        return moveable;
    }
    /**
     * @param moveable the moveable to set
     */
    public void setMoveable(Boolean moveable) {
        this.moveable = moveable;
    }
    /**
     * @return the resizeable
     */
    public Boolean getResizeable() {
        return resizeable;
    }
    /**
     * @param resizeable the resizeable to set
     */
    public void setResizeable(Boolean resizeable) {
        this.resizeable = resizeable;
    }
    
    public String changeAttributes(){
	showWhenRendered = true;
	moveable = false;
	resizeable = false;
	return null;
    }
    
    public String changeRendered(){
	rendered = false;
	return null;
    }
    
    public String reset(){
	rendered = true;
	showWhenRendered = false;
	moveable = true;
	resizeable = true;
	return null;
    }
    
}
